DBI MYSQL error

I am new to ruby and trying to get the mysql dbi library installed.
Everything seems to be installed properly, but I get an error when I try
to use it. I am on Mac OS X Lion. I am using MAMP’s mysql.
When I try to run a simple script, I get the following error. Any ideas
on what might be the problem and how to fix it?

bash-3.2$ ruby -rubygems chat.rb
/Library/Ruby/Site/1.8/dbi.rb:318:in load_driver': Could not load driver (uninitialized constant MysqlError) (DBI::InterfaceError) from /Library/Ruby/Site/1.8/dbi.rb:160:in_get_full_driver’
from /Library/Ruby/Site/1.8/dbi.rb:145:in `connect’
from ./db_setup.rb:13

bash-3.2$ ruby -v
ruby 1.8.7 (2010-01-10 patchlevel 249) [universal-darwin11.0]

bash-3.2$ gem list

*** LOCAL GEMS ***

daemons (1.1.8)
dbd-mysql (0.4.4)
dbi (0.4.5)
deprecated (2.0.1)
eventmachine (0.12.10)
mysql (2.8.1)
rack (1.4.1)
rack-protection (1.2.0)
sinatra (1.3.2)
thin (1.3.1)
tilt (1.3.3)

bash-3.2$ ls -l /Applications/MAMP/Library/lib/mysql/
total 2640
-rwxr-xr-x 1 jasonlfunk admin 442832 Mar 21 2011
libmysqlclient.15.0.0.dylib
-rwxr-xr-x 1 jasonlfunk admin 442832 Mar 21 2011
libmysqlclient.15.dylib
-rwxr-xr-x 1 jasonlfunk admin 442832 Mar 21 2011
libmysqlclient.dylib
[email protected] 1 jasonlfunk admin 920 Mar 6 2010 libmysqlclient.la
[email protected] 1 jasonlfunk admin 926 Mar 6 2010 libmysqlclient_r.la
[email protected] 1 jasonlfunk admin 909 Mar 6 2010 libndbclient.la
[email protected] 6 jasonlfunk admin 204 Mar 6 2010 plugin

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs